﻿--[[
Name: Babble-Mount-2.2
Revision: $Rev: 35915 $
Authors(s): sbu (sbuehl@gmail.com)
Website: www.wowace.com
Documentation: http://www.wowace.com/wiki/Babble-Mount-2.2
SVN: http://svn.wowace.com/root/branch/Babble-2.2/Babble-Mount-2.2
Dependencies: AceLibrary, AceLocale-2.2
License: MIT
]]

local MAJOR_VERSION = "Babble-Mount-2.2"
local MINOR_VERSION = tonumber(string.sub("$Revision: 30000$", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleMount = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

BabbleMount:RegisterTranslations("enUS", function() return {
	-- Mounts
	["Arctic Wolf"] = true,
	["Black Battlestrider"] = true,
	["Black Hawkstrider"] = true,
	["Black Ram"] = true,
	["Black Stallion"] = true,
	["Black War Kodo"] = true,
	["Black War Ram"] = true,
	["Black War Raptor"] = true,
	["Black War Steed Bridle"] = true,
	["Black War Tiger"] = true,
	["Black War Wolf"] = true,
	["Blue Hawkstrider"] = true,
	["Blue Mechanostrider"] = true,
	["Blue Skeletal Horse"] = true,
	["Brown Elekk"] = true,
	["Brown Horse"] = true,
	["Brown Kodo"] = true,
	["Brown Ram"] = true,
	["Brown Skeletal Horse"] = true,
	["Brown Wolf"] = true,
	["Chestnut Mare"] = true,
	["Cobalt Riding Talbuk"] = true,
--	["Cobalt Riding Talbuk"] = true,	-- We must avoid wasteful duplication of effort.
	["Cobalt War Talbuk"] = true,
	["Dark Riding Talbuk"] = true,
	["Dark War Talbuk"] = true,
	["Deathcharger"] = true,
	["Dire Wolf"] = true,
	["Emerald Raptor"] = true,
	["Fiery Warhorse"] = true,
	["Frost Ram"] = true,
	["Frostsaber"] = true,
	["Frostwolf Howler"] = true,
	["Frostwolf Howler"] = true,	-- We must avoid wasteful duplication of effort.
	["Gray Elekk"] = true,
	["Gray Kodo"] = true,
	["Gray Ram"] = true,
	["Gray Wolf"] = true,	-- add
	["Great Blue Elekk"] = true,
	["Great Brown Kodo"] = true,
	["Great Elite Elekk"] = true,	-- add
	["Great Gray Kodo"] = true,
	["Great Green Elekk"] = true,
	["Great Purple Elekk"] = true,
	["Great White Kodo"] = true,
	["Green Kodo"] = true,
	["Green Mechanostrider"] = true,
	["Green Skeletal Warhorse"] = true,
	["Icy Blue Mechanostrider"] = true,
	["Ivory Raptor"] = true,
	["Mottled Red Raptor"] = true,
	["Nightsaber"] = true,
	["Palomino Stallion"] = true,
	["Pinto Horse"] = true,
	["Purple Elekk"] = true,
	["Purple Hawkstrider"] = true,
	["Purple Mechanostrider"] = true,	-- add
	["Purple Skeletal Warhorse"] = true,
	["Raven Lord"] = true,
	["Red Hawkstrider"] = true,
	["Red Mechanostrider"] = true,
	["Red Skeletal Horse"] = true,
	["Red Skeletal Warhorse"] = true,
	["Red Wolf"] = true,
--	["Riding Turtle"] = true,	-- This is not mount! Delete!
	["Silver Riding Talbuk"] = true,
	["Silver War Talbuk"] = true,
	["Spotted Frostsaber"] = true,
	["Spotted Panther"] = true,	-- add
	["Stormpike Battle Charger"] = true,
	["Striped Frostsaber"] = true,
	["Striped Nightsaber"] = true,
	["Black Qiraji Battle Tank"] = true,	-- modify
	["Blue Qiraji Battle Tank"] = true,	-- modify
	["Green Qiraji Battle Tank"] = true,	-- modify
	["Red Qiraji Battle Tank"] = true,	-- modify
	["Yellow Qiraji Battle Tank"] = true,	-- modify
	["Swift Blue Raptor"] = true,
	["Swift Brown Ram"] = true,
	["Swift Brown Steed"] = true,
	["Swift Brown Wolf"] = true,
	["Swift Dawnsaber"] = true, --add
	["Swift Frostsaber"] = true,
	["Swift Gray Ram"] = true,
	["Swift Gray Wolf"] = true,
	["Swift Green Hawkstrider"] = true,
	["Swift Green Mechanostrider"] = true,
	["Swift Mistsaber"] = true,
	["Swift Olive Raptor"] = true,
	["Swift Orange Raptor"] = true,
	["Swift Palomino"] = true,
	["Swift Pink Hawkstrider"] = true,
	["Swift Purple Hawkstrider"] = true,
	["Swift Razzashi Raptor"] = true,
	["Swift Stormsaber"] = true,
	["Swift Timber Wolf"] = true,
	["Swift War Hawkstrider"] = true,	-- add
	["Swift White Mechanostrider"] = true,
	["Swift White Ram"] = true,
	["Swift White Steed"] = true,
	["Swift Yellow Mechanostrider"] = true,
	["Swift Zulian Tiger"] = true,
	["Tan Riding Talbuk"] = true,
	["Tan War Talbuk"] = true,
	["Teal Kodo"] = true,
	["Timber Wolf"] = true,
	["Turquoise Raptor"] = true,
	["Unpainted Mechanostrider"] = true,
	["Violet Raptor"] = true,
	["White Mechanostrider"] = true,
	["White Ram"] = true,
	["White Riding Talbuk"] = true,
	["White Stallion"] = true,
	["White War Talbuk"] = true,
	["Winterspring Frostsaber"] = true,
	-- Flying Mounts
	["Azure Netherwing Drake"] = true,
	["Blue Riding Nether Ray"] = true,
	["Blue Windrider"] = true,
	["Cobalt Netherwing Drake"] = true,
	["Ebon Gryphon"] = true,
	["Golden Gryphon"] = true,
	["Green Riding Nether Ray"] = true,
	["Green Windrider"] = true,
	["Onyx Netherwing Drake"] = true,
	["Purpe Riding Nether Ray"] = true,
	["Purple Netherwing Drake"] = true,
	["Red Riding Nether Ray"] = true,
	["Silver Riding Nether Ray"] = true,
	["Snowy Gryphon"] = true,
	["Swift Blue Gryphon"] = true,
	["Swift Green Gryphon"] = true,
	["Swift Green Windrider"] = true,
	["Swift Nether Drake"] = true,	-- add
	["Swift Purple Gryphon"] = true,
	["Swift Purple Windrider"] = true,
	["Swift Red Gryphon"] = true,
	["Swift Red Windrider"] = true,
	["Swift Yellow Windrider"] = true,
	["Tawny Windrider"] = true,
	["Veridian Netherwing Drake"] = true,
	["Violet Netherwing Drake"] = true,
}
end)

BabbleMount:RegisterTranslations("deDE", function() return {
	-- Mounts
	["Arctic Wolf"] = "Arktischer Wolf",
	["Black Battlestrider"] = "Schwarzer Schlachtenschreiter",
	["Black Hawkstrider"] = "Schwarzer Falkenschreiter",
	["Black Ram"] = "Schwarzer Widder",
--	["Black Stallion"] = true,
	["Black War Kodo"] = "Schwarzer Kriegskodo",
	["Black War Ram"] = "Schwarzer Kriegswidder",
--	["Black War Raptor"] = true,
--	["Black War Steed Bridle"] = true,
--	["Black War Tiger"] = true,
--	["Black War Wolf"] = true,
--	["Blue Hawkstrider"] = true,
--	["Blue Mechanostrider"] = true,
	["Blue Skeletal Horse"] = "Blaues Skelettpferd",
--	["Brown Elekk"] = true,
--	["Brown Horse"] = true,
--	["Brown Kodo"] = true,
--	["Brown Ram"] = true,
	["Brown Skeletal Horse"] = "Braunes Skelettpferd",
--	["Brown Wolf"] = true,
--	["Chestnut Mare"] = true,
--	["Cobalt Riding Talbuk"] = true,
--	["Cobalt Riding Talbuk"] = true,	-- We must avoid wasteful duplication of effort.
--	["Cobalt War Talbuk"] = true,
--	["Dark Riding Talbuk"] = true,
--	["Dark War Talbuk"] = true,
--	["Deathcharger"] = true,
--	["Dire Wolf"] = true,
--	["Emerald Raptor"] = true,
--	["Fiery Warhorse"] = true,
--	["Frost Ram"] = true,
--	["Frostsaber"] = true,
--	["Frostwolf Howler"] = true,
--	["Frostwolf Howler"] = true,	-- We must avoid wasteful duplication of effort.
--	["Gray Elekk"] = true,
--	["Gray Kodo"] = true,
--	["Gray Ram"] = true,
--	["Gray Wolf"] = true	-- add
--	["Great Blue Elekk"] = true,
--	["Great Brown Kodo"] = true,
--	["Great Elite Elekk"] = true,	-- add
--	["Great Gray Kodo"] = true,
--	["Great Green Elekk"] = true,
--	["Great Purple Elekk"] = true,
--	["Great White Kodo"] = true,
--	["Green Kodo"] = true,
--	["Green Mechanostrider"] = true,
--	["Green Skeletal Warhorse"] = true,
--	["Icy Blue Mechanostrider"] = true,
--	["Ivory Raptor"] = true,
--	["Mottled Red Raptor"] = true,
--	["Nightsaber"] = true,
--	["Palomino Stallion"] = true,
--	["Pinto Horse"] = true,
--	["Purple Elekk"] = true,
--	["Purple Hawkstrider"] = true,
--	["Purple Mechanostrider"] = true,	-- add
--	["Purple Skeletal Warhorse"] = true,
--	["Raven Lord"] = true,
--	["Red Hawkstrider"] = true,
--	["Red Mechanostrider"] = true,
--	["Red Skeletal Horse"] = true,
--	["Red Skeletal Warhorse"] = true,
--	["Red Wolf"] = true,
--	["Riding Turtle"] = true,	-- This is not mount! Delete!
--	["Silver Riding Talbuk"] = true,
--	["Silver War Talbuk"] = true,
--	["Spotted Frostsaber"] = true,
--	["Spotted Panther"] = true,	-- add
--	["Stormpike Battle Charger"] = true,
--	["Striped Frostsaber"] = true,
--	["Striped Nightsaber"] = true,
--	["Black Qiraji Battle Tank"] = true,	-- modify
--	["Blue Qiraji Battle Tank"] = true,	-- modify
--	["Green Qiraji Battle Tank"] = true,	-- modify
--	["Red Qiraji Battle Tank"] = true,	-- modify
--	["Yellow Qiraji Battle Tank"] = true,	-- modify
--	["Swift Blue Raptor"] = true,
--	["Swift Brown Ram"] = true,
--	["Swift Brown Steed"] = true,
--	["Swift Brown Wolf"] = true,
--	["Swift Dawnsaber"] = true, --add
--	["Swift Frostsaber"] = true,
--	["Swift Gray Ram"] = true,
--	["Swift Gray Wolf"] = true,
--	["Swift Green Hawkstrider"] = true,
--	["Swift Green Mechanostrider"] = true,
--	["Swift Mistsaber"] = true,
--	["Swift Olive Raptor"] = true,
--	["Swift Orange Raptor"] = true,
--	["Swift Palomino"] = true,
--	["Swift Pink Hawkstrider"] = true,
--	["Swift Purple Hawkstrider"] = true,
--	["Swift Razzashi Raptor"] = true,
--	["Swift Stormsaber"] = true,
--	["Swift Timber Wolf"] = true,
--	["Swift War Hawkstrider"] = true,	-- add
--	["Swift White Mechanostrider"] = true,
--	["Swift White Ram"] = true,
--	["Swift White Steed"] = true,
--	["Swift Yellow Mechanostrider"] = true,
--	["Swift Zulian Tiger"] = true,
--	["Tan Riding Talbuk"] = true,
--	["Tan War Talbuk"] = true,
--	["Teal Kodo"] = true,
--	["Timber Wolf"] = true,
--	["Turquoise Raptor"] = true,
--	["Unpainted Mechanostrider"] = true,
--	["Violet Raptor"] = true,
--	["White Mechanostrider"] = true,
--	["White Ram"] = true,
--	["White Riding Talbuk"] = true,
--	["White Stallion"] = true,
--	["White War Talbuk"] = true,
--	["Winterspring Frostsaber"] = true,
	-- Flying Mounts
--	["Azure Netherwing Drake"] = true,
--	["Blue Riding Nether Ray"] = true,
--	["Blue Windrider"] = true,
--	["Cobalt Netherwing Drake"] = true,
--	["Ebon Gryphon"] = true,
--	["Golden Gryphon"] = true,
--	["Green Riding Nether Ray"] = true,
--	["Green Windrider"] = true,
--	["Onyx Netherwing Drake"] = true,
--	["Purpe Riding Nether Ray"] = true,
--	["Purple Netherwing Drake"] = true,
--	["Red Riding Nether Ray"] = true,
--	["Silver Riding Nether Ray"] = true,
--	["Snowy Gryphon"] = true,
--	["Swift Blue Gryphon"] = true,
--	["Swift Green Gryphon"] = true,
--	["Swift Green Windrider"] = true,
--	["Swift Nether Drake"] = true,	-- add
--	["Swift Purple Gryphon"] = true,
--	["Swift Purple Windrider"] = true,
--	["Swift Red Gryphon"] = true,
--	["Swift Red Windrider"] = true,
--	["Swift Yellow Windrider"] = true,
--	["Tawny Windrider"] = true,
--	["Veridian Netherwing Drake"] = true,
--	["Violet Netherwing Drake"] = true,
}
end)

BabbleMount:RegisterTranslations("koKR", function() return {
	-- Mounts
	["Arctic Wolf"] = "북극 늑대",
	["Black Battlestrider"] = "검은 전투기계타조",
	["Black Hawkstrider"] = "검은 매타조",
	["Black Ram"] = "검은 산양",
	["Black Stallion"] = "흑마",
	["Black War Kodo"] = "검은 전투코도",
	["Black War Ram"] = "검은 전투산양",
	["Black War Raptor"] = "검은 전투랩터",
	["Black War Steed Bridle"] = "검은 전투군마",
	["Black War Tiger"] = "검은 전투호랑이",
	["Black War Wolf"] = "검은 전투늑대",
	["Blue Hawkstrider"] = "푸른 매타조",
	["Blue Mechanostrider"] = "푸른 기계타조",
	["Blue Skeletal Horse"] = "푸른 해골마",
	["Brown Elekk"] = "갈색 엘레크",
	["Brown Horse"] = "갈색마",
	["Brown Kodo"] = "갈색 코도",
	["Brown Ram"] = "갈색 산양",
	["Brown Skeletal Horse"] = "갈색 해골마",
	["Brown Wolf"] = "갈색 늑대",
	["Chestnut Mare"] = "적토마",
	["Cobalt Riding Talbuk"] = "암청색 탈부크",
--	["Cobalt Riding Talbuk"] = true,	-- We must avoid wasteful duplication of effort. 모든 로컬에서 삭제 요청
	["Cobalt War Talbuk"] = "암청색 전투 탈부크",
	["Dark Riding Talbuk"] = "암흑 탈부크",
	["Dark War Talbuk"] = "암흑 전투 탈부크",
	["Deathcharger"] = "죽음의 군마",
	["Dire Wolf"] = "광포한 늑대",
	["Emerald Raptor"] = "녹색 랩터",
	["Fiery Warhorse"] = "불타는 전투마",
	["Frost Ram"] = "서리 산양",
	["Frostsaber"] = "빙호",
	["Frostwolf Howler"] = "전투 서리늑대",
--	["Frostwolf Howler"] = true,	-- We must avoid wasteful duplication of effort. 모든 로컬에서 삭제 요청
	["Gray Elekk"] = "회색 엘레크",
	["Gray Kodo"] = "회색 코도",
	["Gray Ram"] = "회색 산양",
	["Gray Wolf"] = "회색 늑대",	-- add
	["Great Blue Elekk"] = "거대한 푸른색 엘레크",
	["Great Brown Kodo"] = "거대한 갈색 코도",
	["Great Elite Elekk"] = "거대한 정예 엘레크",
	["Great Gray Kodo"] = "거대한 회색 코도",
	["Great Green Elekk"] = "거대한 녹색 엘레크",
	["Great Purple Elekk"] = "거대한 보라색 엘레크",
	["Great White Kodo"] = "거대한 흰색 코도",
	["Green Kodo"] = "녹색 코도",
	["Green Mechanostrider"] = "녹색 기계타조",
	["Green Skeletal Warhorse"] = "녹색 해골군마",
	["Icy Blue Mechanostrider"] = "투명청색 기계타조",
	["Ivory Raptor"] = "상아색 랩터",
	["Mottled Red Raptor"] = "붉은 점박이 랩터",
	["Nightsaber"] = "흑호",
	["Palomino Stallion"] = "황토마",
	["Pinto Horse"] = "적마",
	["Purple Elekk"] = "보라색 엘레크",
	["Purple Hawkstrider"] = "보라색 매타조",
	["Purple Mechanostrider"] = "보라색 기계타조",	-- add
	["Purple Skeletal Warhorse"] = "보라색 해골 군마",
--	["Raven Lord"] = true,
	["Red Hawkstrider"] = "붉은 매타조",
	["Red Mechanostrider"] = "빨간 기계타조",
	["Red Skeletal Horse"] = "붉은 해골마",
	["Red Skeletal Warhorse"] = "붉은 전투해골마",
	["Red Wolf"] = "붉은 늑대",
--	["Riding Turtle"] = true,	-- 이것은 탈 것이 아닙니다. 삭제 요청
	["Silver Riding Talbuk"] = "은빛 탈부크",
	["Silver War Talbuk"] = "은빛 전투 탈부크",
	["Spotted Frostsaber"] = "점박이빙호",
	["Spotted Panther"] = "점박이흑호",	-- add
	["Stormpike Battle Charger"] = "스톰파이크 전투산양",
	["Striped Frostsaber"] = "줄무늬빙호",
	["Striped Nightsaber"] = "줄무늬흑호",
	["Black Qiraji Battle Tank"] = "검은 퀴라지 전차",	-- modify
	["Blue Qiraji Battle Tank"] = "푸른 퀴라지 전차",	-- modify
	["Green Qiraji Battle Tank"] = "녹색 퀴라지 전차",	-- modify
	["Red Qiraji Battle Tank"] = "붉은 퀴라지 전차",	-- modify
	["Yellow Qiraji Battle Tank"] = "노란 퀴라지 전차",	-- modify
	["Swift Blue Raptor"] = "날쌘 푸른 랩터",
	["Swift Brown Ram"] = "날쌘 갈색 산양",
	["Swift Brown Steed"] = "날쌘 갈색마",
	["Swift Brown Wolf"] = "날쌘 갈색 늑대",
	["Swift Dawnsaber"] = "날쌘 여명호랑이", --add
	["Swift Frostsaber"] = "날쌘 겨울빙호",
	["Swift Gray Ram"] = "날쌘 회색 산양",
	["Swift Gray Wolf"] = "날쌘 회색 늑대",
	["Swift Green Hawkstrider"] = "날쌘 녹색 매타조",
	["Swift Green Mechanostrider"] = "날쌘 녹색 기계타조",
	["Swift Mistsaber"] = "날쌘 안개호랑이",
	["Swift Olive Raptor"] = "날쌘 녹색 랩터",
	["Swift Orange Raptor"] = "날쌘 주황색 랩터",
	["Swift Palomino"] = "날쌘 황토마",
	["Swift Pink Hawkstrider"] = "날쌘 분홍색 매타조",
	["Swift Purple Hawkstrider"] = "날쌘 보라색 매타조",
	["Swift Razzashi Raptor"] = "날쌘 래즈자쉬 랩터",
	["Swift Stormsaber"] = "날쌘 폭풍호랑이",
	["Swift Timber Wolf"] = "날쌘 회갈색 늑대",
	["Swift War Hawkstrider"] = "날쌘 전투 매타조",	-- add
	["Swift White Mechanostrider"] = "날쌘 흰색 기계타조",
	["Swift White Ram"] = "날쌘 흰색 산양",
	["Swift White Steed"] = "날쌘 백마",
	["Swift Yellow Mechanostrider"] = "날쌘 노란색 기계타조",
	["Swift Zulian Tiger"] = "날쌘 줄리안 호랑이",
	["Tan Riding Talbuk"] = "갈색 탈부크",
	["Tan War Talbuk"] = "갈색 전투 탈부크",
	["Teal Kodo"] = "청색 코도",
	["Timber Wolf"] = "회갈색 늑대",
	["Turquoise Raptor"] = "청록색 랩터",
	["Unpainted Mechanostrider"] = "강철 기계타조",
	["Violet Raptor"] = "보라색 랩터",
	["White Mechanostrider"] = "흰색 기계타조",
	["White Ram"] = "흰색 산양",
	["White Riding Talbuk"] = "흰색 탈부크",
	["White Stallion"] = "백마",
	["White War Talbuk"] = "흰색 전투 탈부크",
	["Winterspring Frostsaber"] = "겨울빙호",
	-- Flying Mounts
--	["Azure Netherwing Drake"] = true,
--	["Blue Riding Nether Ray"] = true,
	["Blue Windrider"] = "푸른색 와이번",
--	["Cobalt Netherwing Drake"] = true,
	["Ebon Gryphon"] = "칠흑의 그리핀",
	["Golden Gryphon"] = "황금빛 그리핀",
--	["Green Riding Nether Ray"] = true,
	["Green Windrider"] = "녹색 와이번",
--	["Onyx Netherwing Drake"] = true,
--	["Purpe Riding Nether Ray"] = true,
--	["Purple Netherwing Drake"] = true,
--	["Red Riding Nether Ray"] = true,
--	["Silver Riding Nether Ray"] = true,
	["Snowy Gryphon"] = "순백의 그리핀",
	["Swift Blue Gryphon"] = "날쌘 푸른색 그리핀",
	["Swift Green Gryphon"] = "날쌘 녹색 그리핀",
	["Swift Green Windrider"] = "날쌘 녹색 와이번",
	["Swift Nether Drake"] = "날쌘 황천의 비룡",	-- add
	["Swift Purple Gryphon"] = "날쌘 보라색 그리핀",
	["Swift Purple Windrider"] = "날쌘 보라색 와이번",
	["Swift Red Gryphon"] = "날쌘 붉은색 그리핀",
	["Swift Red Windrider"] = "날쌘 붉은색 와이번",
	["Swift Yellow Windrider"] = "날쌘 노란색 와이번",
	["Tawny Windrider"] = "황갈색 와이번",
--	["Veridian Netherwing Drake"] = true,
--	["Violet Netherwing Drake"] = true,
}
end)

BabbleMount:Debug()
BabbleMount:SetStrictness(true)

AceLibrary:Register(BabbleMount, MAJOR_VERSION, MINOR_VERSION)
BabbleMount = nil
